Thank you for checking out my own first arduino school project. Its very basic
just a connection and a (not full) connection with the mp3 player module.

!! NOTE my dfplayermini didnt work fully while i was making this project. That 
is wy the state part is very dirty(maybe some other places to dont remember). 

I also didnt have that much space left so i didnt use the serial connection 
between the dfplayermini and the arduino. I was planning on this sinds this 
reveals a lot of controlls i didnt have in my project. some places i got a lot 
of help:

http://www.dfrobot.com/wiki/index.php/DFPlayer_Mini_SKU:DFR0299
http://stonez56.blogspot.nl/2015/03/arduino-dfplayer-mini-mp3-module.html
http://forum.banggood.com/forum-topic-59997.html
https://forum.arduino.cc/index.php?topic=241021.0

If you have any tips ore want to improve this please do so and give me some 
feed back! email: randor.stephen@gmail.com

link to some pics of my project:            (WARNING it's dutch)
http://rgrootroessink.saldev.nl/arduino.html